Categories:
  - Internet
License: MIT
AuthorName: Nyx
SourceCode: https://github.com/SrS2225a/custom_uploader
IssueTracker: https://github.com/SrS2225a/custom_uploader/issues
Changelog: https://github.com/SrS2225a/custom_uploader/releases
Liberapay: Eris

AutoName: Custom Uploader

RepoType: git
Repo: https://github.com/SrS2225a/custom_uploader.git
Binaries: https://github.com/SrS2225a/custom_uploader/releases/download/%v/app-release.apk

Builds:
  - versionName: 1.0.3
    versionCode: 5
    commit: 1.0.3
    submodules: true
    output: build/app/outputs/flutter-apk/app-release.apk
    prebuild:
      - cd ..
      - mkdir -p /tmp/build
      - mv com.nyx.custom_uploader /tmp/build
      - pushd /tmp/build/com.nyx.custom_uploader
      - export PUB_CACHE=$(pwd)/.pub-cache
      - flutter/bin/flutter config --no-analytics
      - flutter/bin/flutter packages pub get
      - popd
      - mv /tmp/build/com.nyx.custom_uploader com.nyx.custom_uploader
    scanignore:
      - flutter/packages/flutter_tools/gradle/flutter.gradle
      - flutter/bin/cache
    scandelete:
      - flutter
      - .pub-cache
    build:
      - cd ..
      - mv com.nyx.custom_uploader /tmp/build
      - pushd /tmp/build/com.nyx.custom_uploader
      - export PUB_CACHE=$(pwd)/.pub-cache
      - flutter/bin/flutter pub run build_runner build -d
      - flutter/bin/flutter build apk --release
      - popd
      - mv /tmp/build/com.nyx.custom_uploader com.nyx.custom_uploader

  - versionName: 1.1.0
    versionCode: 6
    commit: a30965a547292879209aab0efd30057d085226e6
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y openjdk-17-jdk-headless
      - update-java-alternatives -a
    output: build/app/outputs/flutter-apk/app-release.apk
    prebuild:
      - cd ..
      - mkdir -p /tmp/build
      - mv com.nyx.custom_uploader /tmp/build
      - pushd /tmp/build/com.nyx.custom_uploader
      - export PUB_CACHE=$(pwd)/.pub-cache
      - flutter/bin/flutter config --no-analytics
      - flutter/bin/flutter packages pub get
      - popd
      - mv /tmp/build/com.nyx.custom_uploader com.nyx.custom_uploader
    scanignore:
      - flutter/bin/cache
    scandelete:
      - flutter
      - .pub-cache
    build:
      - cd ..
      - mv com.nyx.custom_uploader /tmp/build
      - pushd /tmp/build/com.nyx.custom_uploader
      - export PUB_CACHE=$(pwd)/.pub-cache
      - flutter/bin/flutter pub run build_runner build -d
      - flutter/bin/flutter build apk --release
      - popd
      - mv /tmp/build/com.nyx.custom_uploader com.nyx.custom_uploader

  - versionName: 1.2.0
    versionCode: 7
    commit: 71dbb6f86874a466cf686c06672c2d0474baf785
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y openjdk-17-jdk-headless
      - update-java-alternatives -a
    output: build/app/outputs/flutter-apk/app-release.apk
    prebuild:
      - cd ..
      - mkdir -p /tmp/build
      - mv com.nyx.custom_uploader /tmp/build
      - pushd /tmp/build/com.nyx.custom_uploader
      - export PUB_CACHE=$(pwd)/.pub-cache
      - flutter/bin/flutter config --no-analytics
      - flutter/bin/flutter packages pub get
      - popd
      - mv /tmp/build/com.nyx.custom_uploader com.nyx.custom_uploader
    scanignore:
      - flutter/bin/cache
    scandelete:
      - flutter
      - .pub-cache
    build:
      - cd ..
      - mv com.nyx.custom_uploader /tmp/build
      - pushd /tmp/build/com.nyx.custom_uploader
      - export PUB_CACHE=$(pwd)/.pub-cache
      - flutter/bin/flutter pub run build_runner build -d
      - flutter/bin/flutter build apk --release
      - popd
      - mv /tmp/build/com.nyx.custom_uploader com.nyx.custom_uploader

AllowedAPKSigningKeys: c0d4c4793aa5a005016d46b0fd8be47f213a5faad55e1532791b1158fcf6a18f

AutoUpdateMode: Version
UpdateCheckMode: Tags
UpdateCheckData: pubspec.yaml|version:\s.+\+(\d+)|.|version:\s(.+)\+
CurrentVersion: 1.2.0
CurrentVersionCode: 7
